Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.transform
[Groovy] Class TimedInterruptibleASTTransformation

    java.lang.Object
      org.codehaus.groovy.transform.TimedInterruptibleASTTransformation

All Implemented Interfaces:
  ASTTransformation

    @GroovyASTTransformation(phase = CompilePhase.CANONICALIZATION)
    class TimedInterruptibleASTTransformation
    extends java.lang.Object

Allows "interrupt-safe" executions of scripts by adding timer expiration checks on loops (for, while, do) and first statement of closures. By default, also adds an interrupt check statement on the beginning of method calls.

Authors:
  Cedric Champeau
  Hamlet D'Arcy

See Also:
  ThreadInterrupt

Since:
  1.8.0

Method Summary
`static java.lang.Object` | `getConstantAnnotationParameter(AnnotationNode node, java.lang.String parameterName, java.lang.Class type, java.lang.Object defaultValue)`
`void` | `visit(ASTNode[] nodes, SourceUnit source)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getConstantAnnotationParameter

    static java.lang.Object getConstantAnnotationParameter(AnnotationNode node, java.lang.String parameterName, java.lang.Class type, java.lang.Object defaultValue)

### visit

    void visit(ASTNode[] nodes, SourceUnit source)

Groovy Documentation